; Hier wird die erstellte AnimDef-Datei geladen!
IncludeFile "AnimDef.pbi"


; Diese Prozedur ist fr die Animation zustndig!
; Sie bentigt/enthlt ein Teil der Variablen von der Structure in AnimDef.pbi
Procedure RenderAllAnimations()
  ForEach Animation()
    Animation()\frametimer = ElapsedMilliseconds()  
    If Animation()\lastcall = 0
      Animation()\lastcall = Animation()\frametimer
      Animation()\aktuellesframe = 1
    EndIf
    Animation()\deltatime = Animation()\frametimer - Animation()\lastcall
    While Animation()\deltatime > Animation()\framedelay
      If Animation()\aktuellesframe = Animation()\anzahlframes
        Animation()\aktuellesframe = 0
      EndIf
      Animation()\lastcall + Animation()\framedelay
      Animation()\deltatime - Animation()\framedelay
      Animation()\aktuellesframe + 1 
    Wend
    ClipSprite(Animation()\sprite, Animation()\frameposx + ((Animation()\aktuellesframe - 1) * Animation()\framebreite), Animation()\frameposy, Animation()\framebreite, Animation()\framehoehe)
    DisplayTransparentSprite(Animation()\sprite, Animation()\x, Animation()\y)
  Next
EndProcedure


; Main-Loop
If InitSprite() And InitKeyboard()
  If OpenScreen(GetSystemMetrics_(#SM_CXSCREEN), GetSystemMetrics_(#SM_CYSCREEN), 32, "Animations-Routine v1.0")
    
    SetRefreshRate(60)
    
    TransparentSpriteColor(#PB_Default, RGB(128, 0, 128))
    
    ; Die SpriteSet's laden
    LoadSprite(1, "spriteset01.bmp", 0)
    LoadSprite(2, "mario.bmp", 0)
    LoadSprite(3, "bandit.bmp", 0)

    Repeat
      ExamineKeyboard()
      ClearScreen(RGB(64, 64, 64))
      
      ; Animationen anzeigen
      RenderAllAnimations()
      
      FlipBuffers()
      Delay(1)
    Until KeyboardPushed(#PB_Key_Escape)
    
  EndIf
EndIf

